## GnomeDbEntryCidr

GnomeDbEntryCidr — Specific for Postgres's CIDR data type

## Synopsis

                GnomeDbEntryCidr;
                GnomeDbEntryCidrPrivate;
    GType       gnome_db_entry_cidr_get_type    (void);
    GtkWidget*  gnome_db_entry_cidr_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkViewport
                                     +----GnomeDbEntryShell
                                           +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryCidr

## Implemented Interfaces

GnomeDbEntryCidr implements AtkImplementorIface and GnomeDbDataEntry.

## Description

## Details

### GnomeDbEntryCidr

    typedef struct _GnomeDbEntryCidr GnomeDbEntryCidr;

### GnomeDbEntryCidrPrivate

    typedef struct _GnomeDbEntryCidrPrivate GnomeDbEntryCidrPrivate;

### gnome_db_entry_cidr_get_type ()

    GType       gnome_db_entry_cidr_get_type    (void);

Returns : |

### gnome_db_entry_cidr_new ()

    GtkWidget*  gnome_db_entry_cidr_new         (GnomeDbDataHandler *dh,
                                                 GdaValueType type);

Creates a new widget which is mainly a GtkEntry

`dh` : | the data handler to be used by the new widget
`type` : | the requested data type (compatible with `dh`)
Returns : | the new widget